summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/LinHES-config/soundconfig.sh
diff options
context:
space:
mode:
Diffstat (limited to 'abs/core-testing/LinHES-config/soundconfig.sh')
-rwxr-xr-xabs/core-testing/LinHES-config/soundconfig.sh13
1 files changed, 9 insertions, 4 deletions
diff --git a/abs/core-testing/LinHES-config/soundconfig.sh b/abs/core-testing/LinHES-config/soundconfig.sh
index 1adb447..5096a97 100755
--- a/abs/core-testing/LinHES-config/soundconfig.sh
+++ b/abs/core-testing/LinHES-config/soundconfig.sh
@@ -26,9 +26,9 @@ function load_alsa() {
depmod -a
cd -
- udevsettle
- udevsettle
- udevtrigger
+ udevadm trigger
+ udevadm settle
+ udevadm trigger
add_service.sh alsa-utils
sleep 4
@@ -57,6 +57,11 @@ function unload_oss {
function installOSS {
echo "installing oss"
+ pacman -Q oss 2>/dev/null
+ if [ ! $? = 0 ]
+ then
+ pacman --noconfirm -Sf oss
+ fi
add_service.sh oss
sleep 4
sv start oss
@@ -102,7 +107,7 @@ $MV_ROOT/bin/restore_default_settings.sh -c MUSICFRONT
function checkOSSinstalled () {
- ossinfo 1>/dev/null
+ ossinfo |grep Version |grep -q OSS >/dev/null
resultcode=$?
echo $resultcode
if [ $resultcode = 0 ]